io.vertx.rxjava.ext.jdbc

## Class JDBCClient

- java.lang.Object
- - io.vertx.rxjava.ext.jdbc.JDBCClient

-     public class JDBCClient
      extends Object

  An asynchronous client interface for interacting with a JDBC compliant database

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<JDBCClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCClient(JDBCClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the client
    `static JDBCClient` | `createNonShared(Vertx vertx, JsonObject config)` Create a JDBC client which maintains its own data source.
    `static JDBCClient` | `createShared(Vertx vertx, JsonObject config)` Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default data source name
    `static JDBCClient` | `createShared(Vertx vertx, JsonObject config, String dataSourceName)` Create a JDBC client which shares its data source with any other JDBC clients created with the same data source name
    `JDBCClient` | `getConnection(Handler<AsyncResult<SQLConnection>> handler)` Returns a connection that can be used to perform SQL operations on.
    `rx.Observable<SQLConnection>` | `getConnectionObservable()` Deprecated. use `rxGetConnection()` instead
    `JDBCClient` | `getDelegate()`
    `static JDBCClient` | `newInstance(JDBCClient arg)`
    `rx.Single<SQLConnection>` | `rxGetConnection()` Returns a connection that can be used to perform SQL operations on.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<JDBCClient> __TYPE_ARG

  - ### Constructor Detail

    - #### JDBCClient

          public JDBCClient(JDBCClient delegate)

  - ### Method Detail

    - #### getDelegate

          public JDBCClient getDelegate()

    - #### createNonShared

          public static JDBCClient createNonShared(Vertx vertx,
                                                   JsonObject config)

      Create a JDBC client which maintains its own data source.
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### createShared

          public static JDBCClient createShared(Vertx vertx,
                                                JsonObject config,
                                                String dataSourceName)

      Create a JDBC client which shares its data source with any other JDBC clients created with the same data source name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
        `dataSourceName` - the data source name
      Returns:
        the client

    - #### createShared

          public static JDBCClient createShared(Vertx vertx,
                                                JsonObject config)

      Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default data source name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### getConnection

          public JDBCClient getConnection(Handler<AsyncResult<SQLConnection>> handler)

      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.
      Parameters:
        `handler` - the handler which is called when the `JdbcConnection` object is ready for use.
      Returns:

    - #### getConnectionObservable

          @Deprecated
          public rx.Observable<SQLConnection> getConnectionObservable()

      Deprecated. use `rxGetConnection()` instead
      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.
      Returns:

    - #### rxGetConnection

          public rx.Single<SQLConnection> rxGetConnection()

      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.
      Returns:

    - #### close

          public void close()

      Close the client

    - #### newInstance

          public static JDBCClient newInstance(JDBCClient arg)

Copyright © 2017. All rights reserved.